Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/DynamicDataDisplay/DynamicDataDisplay.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/DynamicDataDisplay/DynamicDataDisplay.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/DynamicDataDisplay/DynamicDataDisplay.csproj	(revision 12830)
@@ -81,4 +81,35 @@
     <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
     <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;CODE_ANALYSIS</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE;CODE_ANALYSIS</DefineConstants>
+    <DocumentationFile>bin\Release\DynamicDataDisplay.XML</DocumentationFile>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'ReleaseXBAP|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\ReleaseXBAP\</OutputPath>
+    <DefineConstants>TRACE;CODE_ANALYSIS, RELEASEXBAP</DefineConstants>
+    <DocumentationFile>bin\Release\DynamicDataDisplay.XML</DocumentationFile>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj	(revision 12830)
@@ -14,4 +14,19 @@
     <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
     <WarningLevel>4</WarningLevel>
+    <PublishUrl>publish\</PublishUrl>
+    <Install>true</Install>
+    <InstallFrom>Disk</InstallFrom>
+    <UpdateEnabled>false</UpdateEnabled>
+    <UpdateMode>Foreground</UpdateMode>
+    <UpdateInterval>7</UpdateInterval>
+    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
+    <UpdatePeriodically>false</UpdatePeriodically>
+    <UpdateRequired>false</UpdateRequired>
+    <MapFileExtensions>true</MapFileExtensions>
+    <ApplicationRevision>0</ApplicationRevision>
+    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
+    <IsWebBootstrapper>false</IsWebBootstrapper>
+    <UseApplicationTrust>false</UseApplicationTrust>
+    <BootstrapperEnabled>true</BootstrapperEnabled>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -33,4 +48,24 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>true</Prefer32Bit>
   </PropertyGroup>
   <ItemGroup>
@@ -144,4 +179,21 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <BootstrapperPackage Include=".NETFramework,Version=v4.5">
+      <Visible>False</Visible>
+      <ProductName>Microsoft .NET Framework 4.5 %28x86 and x64%29</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
+      <Install>false</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1</ProductName>
+      <Install>false</Install>
+    </BootstrapperPackage>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj.user
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj.user	(revision 12830)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/Evaluation.csproj.user	(revision 12830)
@@ -0,0 +1,13 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <PublishUrlHistory>publish\</PublishUrlHistory>
+    <InstallUrlHistory />
+    <SupportUrlHistory />
+    <UpdateUrlHistory />
+    <BootstrapperUrlHistory />
+    <ErrorReportUrlHistory />
+    <FallbackCulture>en-US</FallbackCulture>
+    <VerifyUploadedFiles>false</VerifyUploadedFiles>
+  </PropertyGroup>
+</Project>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/MainWindow.xaml.cs
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/MainWindow.xaml.cs	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/Evaluation/MainWindow.xaml.cs	(revision 12830)
@@ -42,8 +42,7 @@
             CenterWindowOnScreen();
             this.DataContext = vm = new EvaluationViewModel();
-            vm.MaxLen = 100;
+            vm.MaxLen = 23;
             vm.MaxIterations = 500000;
             vm.NrRuns = 20;
-            
         }
 
@@ -164,6 +163,4 @@
             ISymbolicExpressionTreeProblem problem = vm.SelectedProblem;
 
-            
-
             Type policy = vm.SelectedPolicy;
             IBanditPolicy policyInstance = null;
@@ -189,4 +186,5 @@
             {
                 ISolver solver = null;
+
                 Random random = new Random(Guid.NewGuid().GetHashCode());
 
@@ -400,5 +398,5 @@
             tableExport.Append(
                 "Run\tMaxIterations\tEvaluations\tBestKnownQuality\tQuality\tQuality %\tFoundAt\tTotalTime\tSolutionTime\tEvaluationsPerSecond\tSolution");
-            if (ListViewRuns.Items.Count > 0 && ((Run) ListViewRuns.Items[0]).TreeInfos != null)
+            if (ListViewRuns.Items.Count > 0 && ((Run)ListViewRuns.Items[0]).TreeInfos != null)
             {
                 tableExport.Append("\tTotalNodes\tUnexpandedNodes\tExpandedNodes\tLeaveNodes\tDeepestLevel");
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/GrammaticalOptimization.sln
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/GrammaticalOptimization.sln	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/GrammaticalOptimization.sln	(revision 12830)
@@ -95,193 +95,337 @@
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
+		Debug|x64 = Debug|x64
 		Documentation|Any CPU = Documentation|Any CPU
+		Documentation|x64 = Documentation|x64
 		Release|Any CPU = Release|Any CPU
+		Release|x64 = Release|x64
 		ReleaseXBAP|Any CPU = ReleaseXBAP|Any CPU
+		ReleaseXBAP|x64 = ReleaseXBAP|x64
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Debug|x64.ActiveCfg = Debug|x64
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Debug|x64.Build.0 = Debug|x64
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Release|x64.ActiveCfg = Release|x64
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.Release|x64.Build.0 = Release|x64
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{CB9DCCF6-667E-4A13-B82D-DBD6B45A045E}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.Debug|x64.ActiveCfg = Debug|x64
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.Debug|x64.Build.0 = Debug|x64
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.Release|x64.ActiveCfg = Release|x64
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.Release|x64.Build.0 = Release|x64
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{EEA07488-1A51-412A-A52C-53B754A628B3}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{EEA07488-1A51-412A-A52C-53B754A628B3}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Debug|x64.ActiveCfg = Debug|x64
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Debug|x64.Build.0 = Debug|x64
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Release|x64.ActiveCfg = Release|x64
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.Release|x64.Build.0 = Release|x64
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{524CBD70-6F99-46AF-AD00-A0BC9FD1175B}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Debug|x64.ActiveCfg = Debug|x64
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Debug|x64.Build.0 = Debug|x64
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Release|Any CPU.Build.0 = Release|Any CPU
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Release|x64.ActiveCfg = Release|x64
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.Release|x64.Build.0 = Release|x64
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{24408F7D-EE0F-4886-A08B-EC324D662E47}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{24408F7D-EE0F-4886-A08B-EC324D662E47}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Debug|x64.ActiveCfg = Debug|x64
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Debug|x64.Build.0 = Debug|x64
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Release|x64.ActiveCfg = Release|x64
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.Release|x64.Build.0 = Release|x64
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{3A2FBBCB-F9DF-4970-87F3-F13337D941AD}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Debug|x64.ActiveCfg = Debug|x64
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Debug|x64.Build.0 = Debug|x64
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Release|Any CPU.Build.0 = Release|Any CPU
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Release|x64.ActiveCfg = Release|x64
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.Release|x64.Build.0 = Release|x64
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{17A7A380-86CE-482D-8D22-CBD70CC97F0D}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Debug|x64.ActiveCfg = Debug|x64
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Debug|x64.Build.0 = Debug|x64
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Release|Any CPU.Build.0 = Release|Any CPU
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Release|x64.ActiveCfg = Release|x64
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.Release|x64.Build.0 = Release|x64
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{14BEC23F-63FD-4954-B8AE-E2F4962E9B57}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Debug|x64.ActiveCfg = Debug|x64
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Debug|x64.Build.0 = Debug|x64
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Release|x64.ActiveCfg = Release|x64
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.Release|x64.Build.0 = Release|x64
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{31171165-E16F-4A1A-A8AB-25C6AB3A71B9}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.Debug|x64.ActiveCfg = Debug|x64
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.Debug|x64.Build.0 = Debug|x64
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.Release|x64.ActiveCfg = Release|x64
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.Release|x64.Build.0 = Release|x64
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{E8138227-0C64-4E85-B676-21D3B97F254F}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{E8138227-0C64-4E85-B676-21D3B97F254F}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Debug|x64.ActiveCfg = Debug|x64
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Debug|x64.Build.0 = Debug|x64
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Release|x64.ActiveCfg = Release|x64
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.Release|x64.Build.0 = Release|x64
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{8B4C199E-C08B-479E-9B82-6AE5B113459E}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Debug|x64.ActiveCfg = Debug|x64
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Debug|x64.Build.0 = Debug|x64
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Release|x64.ActiveCfg = Release|x64
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.Release|x64.Build.0 = Release|x64
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{2C115235-8FA9-4F7F-B3A0-A0144F8A35CA}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D043325A-097F-4512-A8FC-CF706577FA46}.Debug|x64.ActiveCfg = Debug|x64
+		{D043325A-097F-4512-A8FC-CF706577FA46}.Debug|x64.Build.0 = Debug|x64
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{D043325A-097F-4512-A8FC-CF706577FA46}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D043325A-097F-4512-A8FC-CF706577FA46}.Release|x64.ActiveCfg = Release|x64
+		{D043325A-097F-4512-A8FC-CF706577FA46}.Release|x64.Build.0 = Release|x64
 		{D043325A-097F-4512-A8FC-CF706577FA46}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{D043325A-097F-4512-A8FC-CF706577FA46}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{D043325A-097F-4512-A8FC-CF706577FA46}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Debug|x64.ActiveCfg = Debug|x64
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Debug|x64.Build.0 = Debug|x64
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Documentation|x64.ActiveCfg = Debug|x64
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Documentation|x64.Build.0 = Debug|x64
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{ECD37682-DF7E-409F-912D-0965634556B5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Release|x64.ActiveCfg = Release|x64
+		{ECD37682-DF7E-409F-912D-0965634556B5}.Release|x64.Build.0 = Release|x64
 		{ECD37682-DF7E-409F-912D-0965634556B5}.ReleaseXBAP|Any CPU.ActiveCfg = ReleaseXBAP|Any CPU
 		{ECD37682-DF7E-409F-912D-0965634556B5}.ReleaseXBAP|Any CPU.Build.0 = ReleaseXBAP|Any CPU
+		{ECD37682-DF7E-409F-912D-0965634556B5}.ReleaseXBAP|x64.ActiveCfg = ReleaseXBAP|x64
+		{ECD37682-DF7E-409F-912D-0965634556B5}.ReleaseXBAP|x64.Build.0 = ReleaseXBAP|x64
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Debug|x64.ActiveCfg = Debug|x64
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Debug|x64.Build.0 = Debug|x64
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Release|x64.ActiveCfg = Release|x64
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.Release|x64.Build.0 = Release|x64
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{CFEC60DC-14E0-47E4-A60E-8919FB5FEF5D}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Debug|x64.ActiveCfg = Debug|x64
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Debug|x64.Build.0 = Debug|x64
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Release|x64.ActiveCfg = Release|x64
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.Release|x64.Build.0 = Release|x64
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{E8056611-E49C-4BC3-A682-A629D5CEC11C}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Debug|x64.ActiveCfg = Debug|x64
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Debug|x64.Build.0 = Debug|x64
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Release|x64.ActiveCfg = Release|x64
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.Release|x64.Build.0 = Release|x64
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{D6BB65FC-240E-4241-B2ED-A7FB3F13E978}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Debug|x64.ActiveCfg = Debug|x64
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Debug|x64.Build.0 = Debug|x64
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Release|Any CPU.Build.0 = Release|Any CPU
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Release|x64.ActiveCfg = Release|x64
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.Release|x64.Build.0 = Release|x64
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{351B0A6E-2F6B-497A-844B-DCB5A502FB0D}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Debug|x64.ActiveCfg = Debug|x64
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Debug|x64.Build.0 = Debug|x64
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Release|Any CPU.Build.0 = Release|Any CPU
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Release|x64.ActiveCfg = Release|x64
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.Release|x64.Build.0 = Release|x64
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{FE34CBC0-D23C-4A95-BA64-83A031814010}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{FE34CBC0-D23C-4A95-BA64-83A031814010}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.Debug|x64.ActiveCfg = Debug|x64
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.Debug|x64.Build.0 = Debug|x64
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.Release|Any CPU.Build.0 = Release|Any CPU
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.Release|x64.ActiveCfg = Release|x64
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.Release|x64.Build.0 = Release|x64
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{5D336F48-3FB9-4382-B4B9-06974C764007}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{5D336F48-3FB9-4382-B4B9-06974C764007}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Debug|x64.ActiveCfg = Debug|x64
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Debug|x64.Build.0 = Debug|x64
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Release|x64.ActiveCfg = Release|x64
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.Release|x64.Build.0 = Release|x64
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{0AD99D97-24ED-484D-9430-9905811F8A4F}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{0AD99D97-24ED-484D-9430-9905811F8A4F}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Debug|x64.ActiveCfg = Debug|x64
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Debug|x64.Build.0 = Debug|x64
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Documentation|Any CPU.ActiveCfg = Documentation|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Documentation|Any CPU.Build.0 = Documentation|Any CPU
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Documentation|x64.ActiveCfg = Documentation|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Release|x64.ActiveCfg = Release|x64
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.Release|x64.Build.0 = Release|x64
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{A2576CE0-E492-490F-97E9-C0E7ABAFAF27}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.Debug|x64.ActiveCfg = Debug|x64
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.Debug|x64.Build.0 = Debug|x64
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.Release|x64.ActiveCfg = Release|x64
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.Release|x64.Build.0 = Release|x64
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{2CD52982-A1C2-4A14-9D69-D64719357216}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{2CD52982-A1C2-4A14-9D69-D64719357216}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Debug|x64.ActiveCfg = Debug|x64
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Debug|x64.Build.0 = Debug|x64
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Documentation|Any CPU.ActiveCfg = Debug|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Documentation|Any CPU.Build.0 = Debug|Any CPU
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Documentation|x64.ActiveCfg = Debug|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Release|Any CPU.Build.0 = Release|Any CPU
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Release|x64.ActiveCfg = Release|x64
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.Release|x64.Build.0 = Release|x64
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.ReleaseXBAP|Any CPU.ActiveCfg = Release|Any CPU
 		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.ReleaseXBAP|Any CPU.Build.0 = Release|Any CPU
+		{514A1E9D-0900-46A5-8073-F3C9CB2AAEE3}.ReleaseXBAP|x64.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/GraphVizWrapper/GraphVizWrapper.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/GraphVizWrapper/GraphVizWrapper.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/GraphVizWrapper/GraphVizWrapper.csproj	(revision 12830)
@@ -30,4 +30,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <OutputPath>bin\x64\Release\</OutputPath>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.Bandits/HeuristicLab.Algorithms.Bandits.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.Bandits/HeuristicLab.Algorithms.Bandits.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.Bandits/HeuristicLab.Algorithms.Bandits.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GeneticProgramming/HeuristicLab.Algorithms.GeneticProgramming.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GeneticProgramming/HeuristicLab.Algorithms.GeneticProgramming.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GeneticProgramming/HeuristicLab.Algorithms.GeneticProgramming.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization/HeuristicLab.Algorithms.GrammaticalOptimization.csproj	(revision 12830)
@@ -32,4 +32,22 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.MonteCarloTreeSearch/HeuristicLab.Algorithms.MonteCarloTreeSearch.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.MonteCarloTreeSearch/HeuristicLab.Algorithms.MonteCarloTreeSearch.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Algorithms.MonteCarloTreeSearch/HeuristicLab.Algorithms.MonteCarloTreeSearch.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Common/HeuristicLab.Common.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Common/HeuristicLab.Common.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Common/HeuristicLab.Common.csproj	(revision 12830)
@@ -30,4 +30,22 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System" />
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Distributions/HeuristicLab.Distributions.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Distributions/HeuristicLab.Distributions.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Distributions/HeuristicLab.Distributions.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.Bandits/HeuristicLab.Problems.Bandits.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.Bandits/HeuristicLab.Problems.Bandits.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.Bandits/HeuristicLab.Problems.Bandits.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.SymbReg/HeuristicLab.Problems.GrammaticalOptimization.SymbReg.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.SymbReg/HeuristicLab.Problems.GrammaticalOptimization.SymbReg.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.SymbReg/HeuristicLab.Problems.GrammaticalOptimization.SymbReg.csproj	(revision 12830)
@@ -29,4 +29,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization/HeuristicLab.Problems.GrammaticalOptimization.csproj	(revision 12830)
@@ -32,4 +32,22 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/Main/Main.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/Main/Main.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/Main/Main.csproj	(revision 12830)
@@ -34,4 +34,22 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorConverters/SharpVectors.Converters.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorConverters/SharpVectors.Converters.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorConverters/SharpVectors.Converters.csproj	(revision 12830)
@@ -43,4 +43,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCore/SharpVectors.Core.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCore/SharpVectors.Core.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCore/SharpVectors.Core.csproj	(revision 12830)
@@ -118,4 +118,38 @@
     <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <DocumentationFile>..\..\Output\SharpVectors.Core.xml</DocumentationFile>
+    <WarningLevel>1</WarningLevel>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System">
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCss/SharpVectors.Css.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCss/SharpVectors.Css.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorCss/SharpVectors.Css.csproj	(revision 12830)
@@ -118,4 +118,36 @@
     <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <DocumentationFile>..\..\Output\SharpVectors.Css.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System">
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorDom/SharpVectors.Dom.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorDom/SharpVectors.Dom.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorDom/SharpVectors.Dom.csproj	(revision 12830)
@@ -118,4 +118,36 @@
     <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <DocumentationFile>..\..\Output\SharpVectors.Dom.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System">
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorModel/SharpVectors.Model.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorModel/SharpVectors.Model.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorModel/SharpVectors.Model.csproj	(revision 12830)
@@ -118,4 +118,36 @@
     <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE;TEST</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <DocumentationFile>..\..\Output\SharpVectors.Model.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System">
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingGdi/SharpVectors.Rendering.Gdi.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingGdi/SharpVectors.Rendering.Gdi.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingGdi/SharpVectors.Rendering.Gdi.csproj	(revision 12830)
@@ -118,4 +118,36 @@
     <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <FileAlignment>4096</FileAlignment>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <BaseAddress>285212672</BaseAddress>
+    <DocumentationFile>..\..\Output\SharpVectors.Rendering.Gdi.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <FileAlignment>4096</FileAlignment>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System">
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingWpf/SharpVectors.Rendering.Wpf.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingWpf/SharpVectors.Rendering.Wpf.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRenderingWpf/SharpVectors.Rendering.Wpf.csproj	(revision 12830)
@@ -54,4 +54,32 @@
     <ErrorReport>prompt</ErrorReport>
     <DocumentationFile>..\..\Output\SharpVectors.Rendering.Wpf.xml</DocumentationFile>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Documentation|x64'">
+    <OutputPath>bin\x64\Documentation\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <DocumentationFile>..\..\Output\SharpVectors.Rendering.Wpf.xml</DocumentationFile>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRuntime/SharpVectors.Runtime.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRuntime/SharpVectors.Runtime.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/SharpVectorRuntime/SharpVectors.Runtime.csproj	(revision 12830)
@@ -43,4 +43,22 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/Test/Test.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/Test/Test.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/Test/Test.csproj	(revision 12830)
@@ -37,4 +37,22 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Problems.GrammaticalOptimization/WpfTestSvgSample/WpfTestSvgSample.csproj
===================================================================
--- /branches/HeuristicLab.Problems.GrammaticalOptimization/WpfTestSvgSample/WpfTestSvgSample.csproj	(revision 12829)
+++ /branches/HeuristicLab.Problems.GrammaticalOptimization/WpfTestSvgSample/WpfTestSvgSample.csproj	(revision 12830)
@@ -45,4 +45,22 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="Accessibility" />
